if strcmp(string,'sys_pp')

  % Callback for button OK in the window with the name "Unknown system"

  value1=str2num(get(findobj('UserData','a_true'),'String'));
  value2=str2num(get(findobj('UserData','b_true'),'String'));
  if isempty(value1) | isempty(value2)
     errormes('data');
     clear value1 value2
     return
  elseif check_m(value1)==1 | check_m(value2)==1
     errormes('vectors')
     clear value1 value2
     return
  elseif length(value1)~=length(value2)
     errormes('NotEqual')
     clear value1 value2
     return
  end
  n=length(value1);
  value1=flipud(value1(:));
  value2=flipud(value2(:));
  if ~det(ctrb([[zeros(1,n-1) ; eye(n-1)] -value1],value2))
     errormes('NotContr'),clear value1 value2
  else 
    if n~=length(Sys)/2
       ready=[[1 0 0 0 0 0],ready(7:8)];
       set(findobj('Label','Initial values'),'Checked','off')
       set(findobj('Label','Filter (optional)'),'Checked','off')
       set(findobj('Label','Closed-loop characteristic polynomial'),'Checked','off')
       set(findobj('Label','Recursive Least Square'),'Checked','off')
       set(findobj('Label','Initial estimates'),'Checked','off')
       set(findobj('Label','An initial state of the system'),'Checked','off')
       if n>number_of_iter
         set(findobj('Label','Number of iterations'),'Checked','off')
         ready(7)=0;
       end
       if any(any(phases>6))
         set(findobj('Label','Phase portraits'),'Checked','off')
         phases = zeros(3,2);
       end
       set(findobj('Label','Start simulation'),'Enable','off')
       set(findobj('Label','with RLS algorithm'),'Enable','off')
       init_est = [];init_st = [];desired_polynomial = [];RLS_par=[];
       filter_polynomial = [];rho = [];
       check_pp;
    end
    set(findobj('Label','Unknown system'),'Checked','on')
    if ~isempty(findobj('Label','Unknown system','Checked','on'))
       set(findobj('Label','Initial values'),'Enable','on')
       set(findobj('Label','Filter (optional)'),'Enable','on')
       set(findobj('Label','Closed-loop characteristic polynomial'),'Enable','on')
       set(findobj('Label','Recursive Least Square'),'Enable','on')
       set(findobj('Label','Initial estimates'),'Enable','on')
       set(findobj('Label','An initial state of the system'),'Enable','on')
       set(findobj('Label','Number of iterations'),'Enable','on')
       set(findobj('Label','Phase portraits'),'Enable','on')
   end
    Sys=[-flipud(value1);flipud(value2)];
    n=length(Sys)/2;ready(1)=1;
    close(findobj('Name','Unknown system'))
    if ~isempty(findobj('Name','Introduced parameters gallery'))
        show_pp
    end
    message('IsContr')
    clear value1 value2
  end
elseif strcmp(string,'rls_sim')
   if ~isempty(findobj('Label','Filter (optional)','Checked','on'))
     [y,y_pred,u,e,est_error,da_in_ratio]=sim_ppf(Sys,desired_polynomial,filter_polynomial,...
         init_est,init_st,number_of_iter,threshold,rho,RLS_par,casc,window,combination,phases);
   else  
     [y,y_pred,u,e,est_error,da_in_ratio]=sim_pp(Sys,desired_polynomial,...
         init_est,init_st,number_of_iter,threshold,RLS_par,casc,window,combination,phases);
   end
   set(findobj('Label','Variables values'),'Enable','on')
   if ~isempty(findobj('Name','Calculated variables gallery'))
      var_pp(y,y_pred,u,e,est_error,da_in_ratio)
   end
elseif strcmp(string,'nlms_sim')
   if ~isempty(findobj('Label','Filter (optional)','Checked','on'))
     [y,y_pred,u,e,est_error,da_in_ratio]=sim_ppf(Sys,desired_polynomial,filter_polynomial,...
         init_est,init_st,number_of_iter,threshold,rho,NLMS_par,casc,window,combination,phases);
   else  
     [y,y_pred,u,e,est_error,da_in_ratio]=sim_pp(Sys,desired_polynomial,...
         init_est,init_st,number_of_iter,threshold,NLMS_par,casc,window,combination,phases);
   end
   set(findobj('Label','Variables values'),'Enable','on')
   if ~isempty(findobj('Name','Calculated variables gallery'))
      var_pp(y,y_pred,u,e,est_error,da_in_ratio)
   end
elseif strcmp(string,'lms_sim')
   if ~isempty(findobj('Label','Filter (optional)','Checked','on'))
     [y,y_pred,u,e,est_error,da_in_ratio]=sim_ppf(Sys,desired_polynomial,filter_polynomial,...
         init_est,init_st,number_of_iter,threshold,rho,LMS_par,casc,window,combination,phases);
   else  
     [y,y_pred,u,e,est_error,da_in_ratio]=sim_pp(Sys,desired_polynomial,...
         init_est,init_st,number_of_iter,threshold,LMS_par,casc,window,combination,phases);
   end
   set(findobj('Label','Variables values'),'Enable','on')
   if ~isempty(findobj('Name','Calculated variables gallery'))
      var_pp(y,y_pred,u,e,est_error,da_in_ratio)
   end
end
