% Pawel Stadnik August 30 1997
% All Rights Reserved


if ~isempty(findobj('Name','Combination'))
   figure(findobj('Name','Combination'))
   return
end
if ~isempty(findobj('Name','Direct Adaptive Model Reference Control'))
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
             'Position',[screen(3)/2-350 screen(4)/2-272 700 540],...
             'Resize','off','Name','Combination');
  axis off

  handle = text(0.5,1.05,'The plots of selected magnitudes will be combined within one figure.');
  set(handle,'HorizontalAlignment','center')

%First group

  h(1)=text(0,0.95,'1st figure');
  uicontrol('style','frame','position',[15 255 220 210],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[20 440 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(1,1),...
            'Callback','combination(1,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 410 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference output','Value',combination(1,2),...
            'Callback','combination(1,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 380 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(1,3),...
            'Callback','combination(1,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 350 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Model error','Value',combination(1,4),...
            'Callback','combination(1,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 320 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference signal','Value',combination(1,5),...
            'Callback','combination(1,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 290 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(1,6),...
            'Callback','combination(1,6)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 260 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference/system output ratio','Value',combination(1,6),...
            'Callback','combination(1,7)=get(gco,(''Value''));')

%Second group

  h(2)=text(0,0.38,'2nd figure');
  uicontrol('style','frame','position',[15 5 220 210],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[20 190 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(2,1),...
            'Callback','combination(2,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 160 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference output','Value',combination(2,2),...
            'Callback','combination(2,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 130 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(2,3),...
            'Callback','combination(2,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 100 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Model error','Value',combination(2,4),...
            'Callback','combination(2,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 70 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference signal','Value',combination(2,5),...
            'Callback','combination(2,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 40 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(2,6),...
            'Callback','combination(2,6)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[20 10 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference/system output ratio','Value',combination(2,6),...
            'Callback','combination(2,7)=get(gco,(''Value''));')

%Third group

  h(3)=text(0.4,0.95,'3rd figure');
  uicontrol('style','frame','position',[245 255 220 210],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[250 440 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(3,1),...
            'Callback','combination(3,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 410 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference output','Value',combination(3,2),...
            'Callback','combination(3,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 380 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(3,3),...
            'Callback','combination(3,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 350 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Model error','Value',combination(3,4),...
            'Callback','combination(3,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 320 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference signal','Value',combination(3,5),...
            'Callback','combination(3,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 290 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(3,6),...
            'Callback','combination(3,6)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 260 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference/system output ratio','Value',combination(3,6),...
            'Callback','combination(3,7)=get(gco,(''Value''));')

%Fourth group

  h(4)=text(0.4,0.38,'4th figure');
  uicontrol('style','frame','position',[245 5 220 210],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[250 190 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(4,1),...
            'Callback','combination(4,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 160 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference output','Value',combination(4,2),...
            'Callback','combination(4,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 130 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(4,3),...
            'Callback','combination(4,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 100 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Model error','Value',combination(4,4),...
            'Callback','combination(4,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 70 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference signal','Value',combination(4,5),...
            'Callback','combination(4,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 40 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(4,6),...
            'Callback','combination(4,6)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[250 10 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference/system output ratio','Value',combination(4,6),...
            'Callback','combination(4,7)=get(gco,(''Value''));')

%Fifth group

  h(5)=text(0.85,0.95,'5th figure');
  uicontrol('style','frame','position',[475 255 220 210],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[480 440 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(5,1),...
            'Callback','combination(5,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 410 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference output','Value',combination(5,2),...
            'Callback','combination(5,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 380 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(5,3),...
            'Callback','combination(5,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 350 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Model error','Value',combination(5,4),...
            'Callback','combination(5,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 320 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference signal','Value',combination(5,5),...
            'Callback','combination(5,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 290 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(5,6),...
            'Callback','combination(5,6)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 260 210 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Reference/system output ratio','Value',combination(5,6),...
            'Callback','combination(5,7)=get(gco,(''Value''));')

call = ['c=combination;',...
        'if (length(find(c(1,:)))==1|length(find(c(2,:)))==1|length(find(c(3,:)))==1|length(find(c(4,:)))==1|length(find(c(5,:)))==1),',...
        'errormes(''combi'');clear c;else,',...
        ' close(gcf),if ~isempty(find(combination)),',...
        '   set(findobj(''Label'',''Combination''),''Checked'',''on''),',...
        '   ready(10)=1;check_mr;',...
        ' else set(findobj(''Label'',''Combination''),''Checked'',''off''),',...
        ' check_mr;end,clear c,end'];

set(h,'HorizontalAlignment','left')

uicontrol(fig,'Style','Pushbutton','Position',[550 100 75 20],...
          'String','OK',...
          'Callback',call)

uicontrol(fig,'Style','Pushbutton','Position',[550 50 75 20],...
          'String','Cancel','UserData',combination,...
          'Callback','combination = get(gco,''UserData'');close(gcf)')
clear fig screen call handle h
end











