function [] = combi_pp(combination)
% Pawel Stadnik August 30 1997
% All Rights Reserved


if ~isempty(findobj('Name','Combination'))
   figure(findobj('Name','Combination'))
   return
end
if ~isempty(findobj('Name','Adaptive Pole Assignment'))
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
             'Position',[screen(3)/2-350 screen(4)/2-250 700 530],...
             'Resize','off','Name','Combination');
  axis off

  handle = text(0.5,1,'The plots of selected magnitudes will be combined within one figure.');
  set(handle,'HorizontalAlignment','center')

%First group
  h(1)=text(0,0.91,'1st figure');
  uicontrol('style','frame','position',[20 250 210 190],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[30 410 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(1,1),...
            'Callback','combination(1,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 380 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Predicted output','Value',combination(1,2),...
            'Callback','combination(1,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 350 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(1,3),...
            'Callback','combination(1,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 320 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Error','Value',combination(1,4),...
            'Callback','combination(1,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 290 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Estimation error','Value',combination(1,5),...
            'Callback','combination(1,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 260 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(1,6),...
            'Callback','combination(1,6)=get(gco,(''Value''));')

%Second group

  h(2)=text(0,0.35,'2nd figure');
  uicontrol('style','frame','position',[20 10 210 190],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[30 170 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(2,1),...
            'Callback','combination(2,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 140 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Predicted output','Value',combination(2,2),...
            'Callback','combination(2,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 110 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(2,3),...
            'Callback','combination(2,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 80 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Error','Value',combination(2,4),...
            'Callback','combination(2,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 50 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Estimation error','Value',combination(2,5),...
            'Callback','combination(2,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[30 20 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(2,6),...
            'Callback','combination(2,6)=get(gco,(''Value''));')


%Third group

  h(3)=text(0.4,0.91,'3rd figure');
  uicontrol('style','frame','position',[245 250 210 190],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[255 410 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(3,1),...
            'Callback','combination(3,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 380 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Predicted output','Value',combination(3,2),...
            'Callback','combination(3,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 350 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(3,3),...
            'Callback','combination(3,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 320 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Error','Value',combination(3,4),...
            'Callback','combination(3,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 290 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Estimation error','Value',combination(3,5),...
            'Callback','combination(3,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 260 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(3,6),...
            'Callback','combination(3,6)=get(gco,(''Value''));')


%Fourth group

  h(4)=text(0.4,0.35,'4th figure');
  uicontrol('style','frame','position',[245 10 210 190],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[255 170 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(4,1),...
            'Callback','combination(4,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 140 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Predicted output','Value',combination(4,2),...
            'Callback','combination(4,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 110 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(4,3),...
            'Callback','combination(4,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 80 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Error','Value',combination(4,4),...
            'Callback','combination(4,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 50 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Estimation error','Value',combination(4,5),...
            'Callback','combination(4,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[255 20 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(4,6),...
            'Callback','combination(4,6)=get(gco,(''Value''));')

%Fifth group

  h(5)=text(0.8,0.91,'5th figure');
  uicontrol('style','frame','position',[470 250 210 190],'BackgroundColor',[0.2 0.4 0.8])
  uicontrol('Style','checkbox','Position',[480 410 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Output','Value',combination(5,1),...
            'Callback','combination(5,1)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 380 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Predicted output','Value',combination(5,2),...
            'Callback','combination(5,2)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 350 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Input','Value',combination(5,3),...
            'Callback','combination(5,3)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 320 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Error','Value',combination(5,4),...
            'Callback','combination(5,4)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 290 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Estimation error','Value',combination(5,5),...
            'Callback','combination(5,5)=get(gco,(''Value''));')
  uicontrol('Style','checkbox','Position',[480 260 190 20],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'String','Desired/actual input ratio','Value',combination(5,6),...
            'Callback','combination(5,6)=get(gco,(''Value''));')

call = ['c=combination;',...
        'if length(find(c(1,:)))==1|length(find(c(2,:)))==1|',...
        '  length(find(c(3,:)))==1|length(find(c(4,:)))==1|length(find(c(5,:)))==1,',...
        '  errormes(''combi'');',...
        'else,',...
        '  close(gcf),',...
        '  if ~isempty(find(combination)),',...
        '    set(findobj(''Label'',''Combination''),''Checked'',''on''),',...
        '    ready(8)=1;check_pp;',...
        '  else ',...
        '    set(findobj(''Label'',''Combination''),''Checked'',''off''),',...
        '    check_pp;',...
        '  end,',...
        'end,clear c'];


set(h,'HorizontalAlignment','left')

uicontrol(fig,'Style','Pushbutton','Position',[550 100 75 20],...
          'String','OK',...
          'Callback',call)

uicontrol(fig,'Style','Pushbutton','Position',[550 50 75 20],...
          'String','Cancel','UserData',combination,...
          'Callback','combination = get(gco,''UserData'');close(gcf)')
clear fig screen call handle
end











