function [] = des_poly(desired_polynomial,filter_polynomial,n)
if ~isempty(findobj('Name','Closed-loop characteristic polynomial'))
   figure(findobj('Name','Closed-loop characteristic polynomial'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-250 screen(4)/2-175 500 350],'Resize','off',...
        'Name','Closed-loop characteristic polynomial');
axis off

handle(1) = text(-0.1,0.9,'Specify the closed-loop characteristic polynomial ');
handle(2) = text(-0.1,0.8,'by introducing its coefficients or roots.');


set(handle,'HorizontalAlignment','left')

handle(1) = text(-0.1,0.55,'P(X) = X^n + c(n-1)*X^(n-1) ... c(1)*X + c(0).');
handle(1) = text(-0.1,0.2,'P(X) = (X-r(1))*(X-r(2))* ... *(X-r(n)).');
set(handle,'HorizontalAlignment','left')

if ~isempty(findobj('Label','Filter (optional)','Checked','on'))
  sim_with_f=1;
else 
  sim_with_f=0;
end
if n==1 & sim_with_f==0
  handle(1) = text(0,0.4,'c(0) =');
  handle(1) = text(0,0.07,'r(1) = ');
elseif n==1 & sim_with_f==1
  handle(1) = text(-0.05,0.4,'[c(1) c(0)] =');
  handle(1) = text(-0.05,0.07,'[r(1) r(2)] =');
elseif n==2 & sim_with_f==0
  handle(1) = text(-0.05,0.4,'[c(1) c(0)] =');
  handle(1) = text(-0.05,0.07,'[r(1) r(2)] =');
elseif n>2 & sim_with_f==0
  str1 = sprintf('[c(%d) ... c(0)] =',n-1);
  str2 = sprintf('[r(1) ... r(%d)] =',n);
  handle(1) = text(-0.1,0.4,str1);
  handle(1) = text(-0.1,0.07,str2);
elseif n>=2 & sim_with_f==1
  str1 = sprintf('[c(%d) ... c(0)] =',2*n-1);
  str2 = sprintf('[r(1) ... r(%d)] =',2*n);
  handle(1) = text(-0.1,0.4,str1);
  handle(1) = text(-0.1,0.07,str2);
end
pom1=uicontrol(fig,'Style','edit','Position',[150 145 200 20],'UserData','des_poly_coeff',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'CallBack','set(findobj(get(gcf,''Children''),''String'',''OK''),''UserData'',gco)');
pom2=uicontrol(fig,'Style','edit','Position',[150 50 200 20],'UserData','des_poly_roots',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'CallBack','set(findobj(get(gcf,''Children''),''String'',''OK''),''UserData'',gco)');
        
if isempty(desired_polynomial)
   set(pom1,'String','');
   set(pom2,'String','');
else  
  r = roots(desired_polynomial);
  set(pom1,'String',mat2str(desired_polynomial(2:length(desired_polynomial))'));
  set(pom2,'String',mat2str(r'));
end
clear str1 str2 pom1 pom2 ind

call = ['value=str2num(get(get(gco,''UserData''),''String''));',...
        'sim_with_f=~isempty(findobj(''Label'',''Filter (optional)'',''Checked'',''on''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif check_m(value)==1,errormes(''vector'');',...
        'elseif length(value)~=n&sim_with_f==0,errormes(''NumberCoeff_Roots'',n);',...
        'elseif length(value)~=2*n&sim_with_f==1,errormes(''NumberCoeff_Roots'',2*n);',...
        'else ',...
        ' if strcmp(get(get(gco,''UserData''),''UserData''),''des_poly_coeff''),',...
        ' desired_polynomial=[1; value(:)];',...
        ' else desired_polynomial=poly(value)'';end,close(gcf),',...
        'set(findobj(''Label'',''Closed-loop characteristic polynomial''),''Checked'',''on''),',...
        'ready(3)=1;check_pp;',...
        'if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        'show_pp,end,',...
        'end,clear value sim_with_f,'];

uicontrol(fig,'Style','Pushbutton','Position',[400 125 75 20],...
          'String','OK','Callback',call,'UserData',findobj('UserData','des_poly_coeff'))

uicontrol(fig,'Style','Pushbutton','Position',[400 75 75 20],...
          'String','Cancel','UserData',desired_polynomial,...
          'Callback','desired_polynomial=get(gco,''UserData'');close(gcf)')
clear handle fig screen call sim_with_f
