function [ new_theta ] = est_lms(theta,phi,e,mu)
% NEW_ESTIMATE = EST_LMS( PREVIOUS_ESTIMATE ,phi,e,mu )
% This function calculates new estimate of the system parameters on basis
% previous estimate , vector phi , error e and mu constant using Least Mean
% Square identification algorithm .
% Where : NEW_ESTIMATE = [ -a(n-1) ... -a(0) b(n-1) ... b(0)]'(k+1) ,
%         PREVIOUS_ESTIMATE = [ -a(n-1) ... -a(0) b(n-1) ... b(0)]'(k) ,
%         phi = [y(k) ... y(k-n+1) u(k) ... u(k-n+1)]' ,
%         e - error at time k,
%         mu - constant such that 0<mu<2 .

% Pawel Stadnik August 14 1996
% Copyright (C) 1996 Universiteit Twente
% All Rights Reserved

new_theta = theta + mu*phi*e;
