function [ new_theta ] = est_nlms(theta,phi,e,alpha,mu)
% NEW_ESTIMATE = EST_NLMS( PREVIOUS_ESTIMATE ,phi,e,alpha,mu )
% This function calculates new estimate of the system parameters on basis
% previous estimate, vector phi, error e, constants alpha and mu, using
% Normalized Least Mean Square identification algorithm.
% Where : NEW_ESTIMATE = [ -a(n-1) ... -a(0) b(n-1) ... b(0)]'(k+1) ,
%         PREVIOUS_ESTIMATE = [ -a(n-1) ... -a(0) b(n-1) ... b(0)]'(k) ,
%         phi = [y(k) ... y(k-n+1) u(k) ... u(k-n+1)]' ,
%         e - error at time k,
%         alpha - constant such that alpha>= 0,
%         mu - constant such that 0<mu<2 .


% Pawel Stadnik August 14 1996
% Copyright (C) 1996 Universiteit Twente
% All Rights Reserved

new_theta = theta + (mu*phi*e)/(alpha+phi'*phi);
