function [] = iter(number_of_iter)
if ~isempty(findobj('Name','Number of iterations'))
   figure(findobj('Name','Number of iterations'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-200 screen(4)/2-100 400 200],'Resize','off',...
        'Name','Number of iterations');
axis off

handle = text(0,0.8,'The number of iterations:');
set(handle,'HorizontalAlignment','left')

uicontrol(fig,'Style','edit','Position',[100 100 75 20],'UserData','number_of_iter',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'String',num2str(number_of_iter))

call = ['value=str2num(get(findobj(''UserData'',''number_of_iter''),''String''));',...
        'value=round(value);',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'elseif value<=n,errormes(''number_of_iter<n''),',...
        'else number_of_iter=value;close(gcf),',...
        '  set(findobj(''Label'',''Number of iterations''),''Checked'',''on''),',...
        '  if length(ready)==8 ready(7)=1;check_pp,else ready(9)=1;check_mr,end;',...
        '  if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        '     if length(ready)==8 show_pp,else show_mr,end,',...
        '  end,',...
        'end,clear value,'];
uicontrol(fig,'Style','Pushbutton','Position',[300 125 75 20],...
          'String','OK','Callback',call)

uicontrol(fig,'Style','Pushbutton','Position',[300 75 75 20],...
          'String','Cancel','UserData',number_of_iter,...
          'Callback','number_of_iter=get(gco,''UserData'');close(gcf)')
clear handle fig screen call
