function [P0,ready] = load_p0(PP00,NNNN,ready_ready)
% [P0,ready] = load_p0(P,n,ready) returns the matrix P at time 0 from 
%              MAT-file in variable called P0.
% Where : n - 2*(the system order) (Pole Placement).
%         n - 2*(the system order)+1 (Model  Reference) 
%         P - the previous matrix P 
%         ready - vector "ready" from apa.m or damrc.m file

%        (The variables PP00, NNNN, ready_ready are unique to protect the data)

% Pawel Stadnik August 29 1997
% All Rights Reserved

P0 = [];
[name,pathname] = uigetfile('*.mat','Load ');
filename = [pathname name];
if isstr(name)
   eval(['load ',filename]);
   [nn,mm] = size(P0);
   if (( nn ~= NNNN ) | ( mm ~= NNNN ))
     errormes('P_size',NNNN)
     P0 = PP00;
     ready = ready_ready;
   else
     counter = 0;
     for ind=1:NNNN
       mat = P0(1:ind,1:ind);
       if ( det(mat) > 0 )
          counter = counter + 1;
       end
     end
     if ( counter ~= NNNN )
       errormes('P_not_pos')
       P0 = PP00;
       ready = ready_ready;
     else
       message('P_pos')
       set(findobj('Label','Recursive Least Square'),'Checked','on')
       ready = ready_ready;ready(4)=1;
     end
   end
else
  P0 = PP00; ready = ready_ready;
end
