function [] = mr_est(init_est,n)
if ~isempty(findobj('Name','Initial estimates of the controller parameters'))
   figure(findobj('Name','Initial estimates of the controller parameters'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-300 screen(4)/2-100 600 200],'Resize','off',...
        'Name','Initial estimates of the controller parameters');
axis off

text(-0.1,0.85,'The initial estimate of the controller parameters:');
if n==1
  text(0,0.6,'[ c_u(0) ] = ');
  text(0,0.35,'[ c_y(0) ] = ');
  text(0.08,0.1,'c_r = ');
elseif n==2
  text(-0.05,0.6,'[ c_u(1) c_u(0) ] = ');
  text(-0.05,0.35,'[ c_y(1) c_y(0) ] = ');
  text(0.13,0.1,'c_r = ');
else
  string1 = sprintf('[ c_u(%d) ... c_u(0) ] = ',n-1);
  string2 = sprintf('[ c_y(%d) ... c_y(0) ] = ',n-1);
  text(-0.1,0.6,string1);
  text(-0.1,0.35,string2);
  text(0.12,0.1,'c_r = ');
  clear string1 string2
end

handle1=uicontrol(fig,'Style','edit','Position',[190 110 250 20],'UserData','c_u',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
handle2=uicontrol(fig,'Style','edit','Position',[190 70 250 20],'UserData','c_y',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
handle3=uicontrol(fig,'Style','edit','Position',[190 30 250 20],'UserData','c_r',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
if ~isempty(init_est)
   set(handle1,'String',mat2str(flipud(init_est(1:n))'))
   set(handle2,'String',mat2str(flipud(-init_est(n+1:2*n))'))
   set(handle3,'String',num2str(init_est(2*n+1)'))
end

call = ['value1=str2num(get(findobj(''UserData'',''c_u''),''String''));',...
        'value2=str2num(get(findobj(''UserData'',''c_y''),''String''));',...
        'value3=str2num(get(findobj(''UserData'',''c_r''),''String''));',...
        'if isempty(value1) | isempty(value2) | isempty(value3),',...
        '   errormes(''data''),',...
        'elseif check_m(value1)==1 | check_m(value2)==1,',...
        '   errormes(''vectors''),return,',...
        'elseif length(value1)~=n | length(value2)~=n,',...
        '   errormes(''NumberCoeff_c_u'',n''),',...
        'elseif length(value3)~=1 errormes(''c_r_scalar''),',...
        'else ',...
        '   close(gcf),',...
        '   init_est=[flipud(value1(:));flipud(-value2(:));value3];',...
        '   ready(7)=1;check_mr;',...
        '   set(findobj(''Label'',''Initial estimates of the controller parameters''),''Checked'',''on''),',...
        '   if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        '   show_mr,end,',...
        'end,clear value1 value2 value3'];

uicontrol(fig,'Style','Pushbutton','Position',[500 110 75 20],...
          'String','OK','Callback',call)
uicontrol(fig,'Style','Pushbutton','Position',[500 70 75 20],'Userdata',init_est,...
          'String','Cancel','Callback','init_est=get(gco,''UserData'');close(gcf)')

clear call fig screen handle1 handle2

