function [] = mr_fi_po(H_polynomial,n)
if ~isempty(findobj('Name','Polynomial H'))
   figure(findobj('Name','Polynomial H'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-250 screen(4)/2-175 500 350],'Resize','off',...
        'Name','Polynomial H');
axis off

handle(1) = text(-0.1,0.9,'Specify the polynomial H by introducing');
handle(2) = text(-0.1,0.8,'its coefficients or roots.');

set(handle,'HorizontalAlignment','left')

handle(1) = text(-0.1,0.55,'H(X) = X^n + h(n-1)*X^(n-1) ... h(1)*X + h(0).');
handle(1) = text(-0.1,0.2,'H(X) = (X-r(1))*(X-r(2))* ... *(X-r(n)).');
set(handle,'HorizontalAlignment','left')

if n==1 
  handle(1) = text(0,0.4,'h(0) =');
  handle(1) = text(0,0.07,'r(1) = ');
elseif n==2 
  handle(1) = text(-0.05,0.4,'[h(1) h(0)] =');
  handle(1) = text(-0.05,0.07,'[r(1) r(2)] =');
else
  str1 = sprintf('[h(%d) ... h(0)] =',n-1);
  str2 = sprintf('[r(1) ... r(%d)] =',n);
  handle(1) = text(-0.1,0.4,str1);
  handle(1) = text(-0.1,0.07,str2);
end
pom1=uicontrol(fig,'Style','edit','Position',[150 145 200 20],'UserData','H_poly_coeff',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'CallBack','set(findobj(get(gcf,''Children''),''String'',''OK''),''UserData'',gco)');
pom2=uicontrol(fig,'Style','edit','Position',[150 50 200 20],'UserData','H_poly_roots',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'CallBack','set(findobj(get(gcf,''Children''),''String'',''OK''),''UserData'',gco)');
        
if isempty(H_polynomial)
   set(pom1,'String','');
   set(pom2,'String','');
else  
  r = roots(H_polynomial);
  set(pom1,'String',mat2str(H_polynomial(2:length(H_polynomial))'));
  set(pom2,'String',mat2str(r'));
end
clear str1 str2 pom1 pom2 ind

call = ['value=str2num(get(get(gco,''UserData''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif check_m(value)==1,errormes(''vector'');',...
        'elseif length(value)~=n,errormes(''NumberCoeff_Roots'',n);',...
        'elseif strcmp(get(get(gco,''UserData''),''UserData''),''H_poly_coeff'') &',...
        '       any(abs(roots([1 ; value(:)]))>=1),',...
        '       errormes(''stable''),',...
        'elseif strcmp(get(get(gco,''UserData''),''UserData''),''H_poly_roots'') &',...
        '       any(abs(value)>=1)',...
        '       errormes(''stable''),',...
        'else ',...
        ' if strcmp(get(get(gco,''UserData''),''UserData''),''H_poly_coeff''),',...
        '   H_polynomial=[1; value(:)];',...
        ' else H_polynomial=poly(value)'';end,close(gcf),',...
        ' set(findobj(''Label'',''Polynomial H''),''Checked'',''on''),',...
        ' ready(2)=1;check_mr;',...
        ' if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        '   show_mr,end,message(''FilIsStable''),',...
        'end,clear value'];

uicontrol(fig,'Style','Pushbutton','Position',[400 125 75 20],...
          'String','OK','Callback',call,'UserData',findobj('UserData','H_poly_coeff'))

uicontrol(fig,'Style','Pushbutton','Position',[400 75 75 20],...
          'String','Cancel','UserData',H_polynomial,...
          'Callback','H_polynomial=get(gco,''UserData'');close(gcf)')
clear handle fig screen call 
