function [] = mr_poly(E_polynomial,n_r)
if ~isempty(findobj('Name','Reference model polynomial'))
   figure(findobj('Name','Reference model polynomial'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-250 screen(4)/2-175 500 350],'Resize','off',...
        'Name','Reference model polynomial');
axis off

handle(1) = text(-0.1,0.9,'Specify the reference model polynomial');
handle(2) = text(-0.1,0.8,'by introducing its coefficients or roots.');

set(handle,'HorizontalAlignment','left')

handle(1) = text(-0.1,0.55,'E(X) = X^n_r + e(n_r-1)*X^(n_r-1) ... e(1)*X + e(0).');
handle(1) = text(-0.1,0.2,'E(X) = (X-r(1))*(X-r(2))* ... *(X-r(n_r)).');
set(handle,'HorizontalAlignment','left')

if n_r==1 
  handle(1) = text(0,0.4,'e(0) =');
  handle(1) = text(0,0.07,'r(1) = ');
elseif n_r==2 
  handle(1) = text(-0.05,0.4,'[e(1) e(0)] =');
  handle(1) = text(-0.05,0.07,'[r(1) r(2)] =');
else
  str1 = sprintf('[e(%d) ... e(0)] =',n_r-1);
  str2 = sprintf('[r(1) ... r(%d)] =',n_r);
  handle(1) = text(-0.1,0.4,str1);
  handle(1) = text(-0.1,0.07,str2);
end
pom1=uicontrol(fig,'Style','edit','Position',[150 145 200 20],'UserData','E_poly_coeff',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'CallBack','set(findobj(get(gcf,''Children''),''String'',''OK''),''UserData'',gco)');
pom2=uicontrol(fig,'Style','edit','Position',[150 50 200 20],'UserData','E_poly_roots',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'CallBack','set(findobj(get(gcf,''Children''),''String'',''OK''),''UserData'',gco)');
        
if isempty(E_polynomial)
   set(pom1,'String','');
   set(pom2,'String','');
else  
  r = roots(E_polynomial);
  set(pom1,'String',mat2str(E_polynomial(2:length(E_polynomial))'));
  set(pom2,'String',mat2str(r'));
end
clear str1 str2 pom1 pom2 ind

call = ['value=str2num(get(get(gco,''UserData''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif check_m(value)==1,errormes(''vector'');',...
        'elseif length(value)~=n_r,errormes(''NumberCoeff_Roots'',n_r);',...
        'elseif strcmp(get(get(gco,''UserData''),''UserData''),''E_poly_coeff'') &',...
        '       any(abs(roots([1 ; value(:)]))>=1),',...
        '       errormes(''stable''),',...
        'elseif strcmp(get(get(gco,''UserData''),''UserData''),''E_poly_roots'') &',...
        '       any(abs(value)>=1)',...
        '       errormes(''stable''),',...
        'else ',...
        ' if strcmp(get(get(gco,''UserData''),''UserData''),''E_poly_coeff''),',...
        '   E_polynomial=[1; value(:)];',...
        ' else E_polynomial=poly(value)'';end,close(gcf),',...
        ' set(findobj(''Label'',''Reference model polynomial''),''Checked'',''on''),',...
        ' ready(5)=1;check_mr;',...
        'if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        'show_mr,end,',...
        'end,clear value'];

uicontrol(fig,'Style','Pushbutton','Position',[400 125 75 20],...
          'String','OK','Callback',call,'UserData',findobj('UserData','E_poly_coeff'))

uicontrol(fig,'Style','Pushbutton','Position',[400 75 75 20],...
          'String','Cancel','UserData',E_polynomial,...
          'Callback','E_polynomial=get(gco,''UserData'');close(gcf)')
clear handle fig screen call 
