function [] = mr_signa(id,which_signal,signal_par)
if ~isempty(findobj('Name','Reference signal'))
   figure(findobj('Name','Reference signal'))
   return
end


if id == 1 
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-250 screen(4)/2-100 500 200],'Resize','off',...
        'Name','Reference signal');
  axis off

  handle(1) = text(-0.1,0.7,'The reference signal takes a constant value C.');
  handle(2) = text(0.1,0.42,'C = ');
  set(handle,'HorizontalAlignment','left')

  h=uicontrol(fig,'Style','edit','Position',[150 80 75 20],'UserData','C',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
  if id==which_signal
    set(h,'String',num2str(signal_par));
  else
    set(h,'String','');
  end

  call = ['value=str2num(get(findobj(''UserData'',''C''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'else signal_par=value;close(gcf),',...
        '  set(get(findobj(''Label'',''Reference signal''),''Children''),''Checked'',''off''),',...
        '  set(findobj(''Label'',''Constant''),''Checked'',''on''),',...
        '  set(findobj(''Label'',''Reference signal''),''Checked'',''on''),',...
        '  ready(6)=1;which_signal=1;check_mr,',...
        '  if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        '     show_mr,',...
        '  end,',...
        'end,clear value,'];
  uicontrol(fig,'Style','Pushbutton','Position',[400 125 75 20],...
                'String','OK','Callback',call)

  uicontrol(fig,'Style','Pushbutton','Position',[400 75 75 20],...
          'String','Cancel','UserData','',...
          'Callback','close(gcf)')
  clear handle fig screen call h
elseif id == 2
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-250 screen(4)/2-100 500 200],'Resize','off',...
        'Name','Reference signal');
  axis off

  handle(1) = text(-0.1,0.8,'The reference signal is a white noise with');
  handle(2) = text(-0.1,0.65,'the variance E.');
  handle(3) = text(0.1,0.35,'   E =');
  set(handle,'HorizontalAlignment','left')

  h=uicontrol(fig,'Style','edit','Position',[150 70 75 20],'UserData','E',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
  if id==which_signal
    set(h,'String',num2str(signal_par));
  else
    set(h,'String','');
  end

  call = ['value=str2num(get(findobj(''UserData'',''E''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'else signal_par=value;close(gcf),',...
        '  set(get(findobj(''Label'',''Reference signal''),''Children''),''Checked'',''off''),',...
        '  set(findobj(''Label'',''White noise''),''Checked'',''on''),',...
        '  set(findobj(''Label'',''Reference signal''),''Checked'',''on''),',...
        '  ready(6)=1;which_signal=2;check_mr,',...
        '  if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        '     show_mr,',...
        '  end,',...
        'end,clear value,'];
  uicontrol(fig,'Style','Pushbutton','Position',[400 125 75 20],...
                'String','OK','Callback',call)

  uicontrol(fig,'Style','Pushbutton','Position',[400 75 75 20],...
          'String','Cancel','UserData','',...
          'Callback','close(gcf)')
  clear handle fig screen call h

elseif id == 3
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-275 screen(4)/2-125 550 250],'Resize','off',...
        'Name','Reference signal');
  axis off

  handle(1) = text(-0.1,0.95,'The reference signal is of the form:');
  handle(2) = text(-0.1,0.8,'r(k) = A1*sin(w1*k +phi1) + A2*sin(w2*k+phi2) + ...');
  handle(3) = text(-0.1,0.65,'where amplitudes, frequencies, phases are to be specified.');
  handle(4) = text(-0.1,0.45,'   [A1 A2 ...]    =');
  handle(5) = text(-0.1,0.25,'   [w1 w2 ...]    =');
  handle(6) = text(-0.1,0.05,' [phi1 phi2 ...] =');
  set(handle,'HorizontalAlignment','left')
 
  handle1=uicontrol(fig,'Style','edit','Position',[145 110 250 20],'UserData','A',...
               'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]); 
  handle2=uicontrol(fig,'Style','edit','Position',[145 70 250 20],'UserData','w',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
  handle3=uicontrol(fig,'Style','edit','Position',[145 30 250 20],'UserData','phi',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);

  if id == which_signal
   set(handle1,'String',mat2str(signal_par(1,:)))
   set(handle2,'String',mat2str(signal_par(2,:)))
   set(handle3,'String',mat2str(signal_par(3,:)))
  end

  call = ['value1=str2num(get(findobj(''UserData'',''A''),''String''));',...
          'value2=str2num(get(findobj(''UserData'',''w''),''String''));',...
          'value3=str2num(get(findobj(''UserData'',''phi''),''String''));',...
          'if isempty(value1)|isempty(value2)|isempty(value3),',...
          '   errormes(''data''),',...
          'elseif check_m(value1)==1|check_m(value2)==1|check_m(value2)==1,',...
          '   errormes(''vectors''),',...
          'elseif length(value1)~=length(value2)|length(value1)~=length(value3),',...
          '   errormes(''NumberCoeff_same''),',...
          'else',...
          '  signal_par=[value1(:)'';value2(:)'';value3(:)''];close(gcf),',...
          '  set(get(findobj(''Label'',''Reference signal''),''Children''),''Checked'',''off''),',...
          '  set(findobj(''Label'',''Harmonic''),''Checked'',''on''),',...
          '  set(findobj(''Label'',''Reference signal''),''Checked'',''on''),',...
          '  ready(6)=1;which_signal=3;',...
          '  check_mr;',...
          '  if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
          '  show_mr,end,',...
          'end,clear value1 value2 value3'];

  uicontrol(fig,'Style','Pushbutton','Position',[450 100 75 20],...
                'String','OK','Callback',call)

  uicontrol(fig,'Style','Pushbutton','Position',[450 50 75 20],...
          'String','Cancel','UserData','',...
          'Callback','close(gcf)')
  clear handle fig screen call h

elseif id == 4
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-275 screen(4)/2-150 550 300],'Resize','off',...
        'Name','Reference signal');
  axis off

  handle(1) = text(-0.1,0.95,'The reference signal is :');
  handle(2) = text(-0.1,0.85,'         [1 1]        [wn1]');
  handle(3) = text(-0.1,0.75,'x(k+1) = [0 1] x(k) + [wn2]');
  handle(4) = text(-0.1,0.6,' r(k)  = [1 0] x(k) + [wn3]');
  handle(5) = text(-0.1,0.4,'where [wn1, wn2, wn3] is a white noise with diagonal');
  handle(6) = text(-0.1,0.3,'covariance matrix diag([v1 v2 v3]).');
  handle(7) = text(-0.1,0.11,'[v1 v2 v3] =');

  set(handle,'HorizontalAlignment','left')
  set(handle(2:4),'FontName','Courier')

  handle1=uicontrol(fig,'Style','edit','Position',[120 50 250 20],'UserData','E',...
               'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]); 

  if id == which_signal
   set(handle1,'String',mat2str(signal_par))
  end

  call = ['value1=str2num(get(findobj(''UserData'',''E''),''String''));',...
          'if isempty(value1),errormes(''data''),',...
          'elseif check_m(value1)==1,errormes(''vector''),',...
          'elseif length(value1)~=3,errormes(''NumberCoefficients'',3),',...
          'else',...
          '  signal_par=value1(:)'';close(gcf),',...
          '  set(get(findobj(''Label'',''Reference signal''),''Children''),''Checked'',''off''),',...
          '  set(findobj(''Label'',''Random walk''),''Checked'',''on''),',...
          '  set(findobj(''Label'',''Reference signal''),''Checked'',''on''),',...
          '  ready(6)=1;which_signal=4;check_mr;',...
          '  if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
          '  show_mr,end,',...
          'clear value1 ,end'];

  uicontrol(fig,'Style','Pushbutton','Position',[450 100 75 20],...
                'String','OK','Callback',call)

  uicontrol(fig,'Style','Pushbutton','Position',[450 50 75 20],...
          'String','Cancel','UserData','',...
          'Callback','close(gcf)')
  clear handle fig screen call h

elseif id == 5
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-225 screen(4)/2-125 450 250],'Resize','off',...
        'Name','Reference signal');
  axis off

  handle(1) = text(0,0.85,'The reference signal is defined as:');
  handle(2) = text(0,0.7,'                   C*(-1)^k');
  handle(3) = text(0,0.55,'where:  C - constant,');
  handle(4) = text(0,0.45,'              k - time instant.');
  handle(5) = text(0.12,0.2,'   C =');
  set(handle,'HorizontalAlignment','left')

  h=uicontrol(fig,'Style','edit','Position',[150 60 75 20],'UserData','C',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
  if id==which_signal
    set(h,'String',num2str(signal_par));
  else
    set(h,'String','');
  end

  call = ['value=str2num(get(findobj(''UserData'',''C''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'else signal_par=value;close(gcf),',...
        '  set(get(findobj(''Label'',''Reference signal''),''Children''),''Checked'',''off''),',...
        '  set(findobj(''Label'',''Saw''),''Checked'',''on''),',...
        '  set(findobj(''Label'',''Reference signal''),''Checked'',''on''),',...
        '  ready(6)=1;which_signal=5;check_mr,',...
        '  if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        '     show_mr,',...
        '  end,',...
        'end,clear value,'];
  uicontrol(fig,'Style','Pushbutton','Position',[350 125 75 20],...
                'String','OK','Callback',call)

  uicontrol(fig,'Style','Pushbutton','Position',[350 75 75 20],...
          'String','Cancel','UserData','',...
          'Callback','close(gcf)')
  clear handle fig screen call h
end