function [] = set_st(init_st,n)
if ~isempty(findobj('Name','An initial state of the system'))
   figure(findobj('Name','An initial state of the system'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-350 screen(4)/2-75 700 150],'Resize','off',...
        'Name','An initial state of the system');
axis off

text(0,0.8,'The initial state of the system:');
if n==1
  text(0.15,0.4,'[ y(0) ] = ');
elseif n==2
  text(0.05,0.4,'[ y(0) y(-1) u(-1) ] = ');
else
  text(-0.1,0.4,sprintf('[ y(0) ... y(%d) u(-1) ... u(%d) ] = ',-n+1,-n+1));
end

handle=uicontrol(fig,'Style','edit','Position',[250 55 300 20],'UserData','init_st',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0]);
if ~isempty(init_st)
   set(handle,'String',mat2str(init_st'))
end
call = ['value=str2num(get(findobj(''UserData'',''init_st''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif check_m(value)==1,errormes(''vector''),',...
        'elseif length(value)~=2*n-1,errormes(''NumberCoefficients'',2*n-1''),',...
        'else close(gcf),init_st = value(:);',...
        '  if length(ready)==8 ready(6)=1;check_pp;',...
        '  else ready(8)=1;check_mr;',...
        '  end,',...
        '  set(findobj(''Label'',''An initial state of the system''),''Checked'',''on''),',...
        '  clear value,',...
        '  if ~isempty(findobj(''Name'',''Introduced parameters gallery'')),',...
        '    if length(ready)==8 show_pp,',...
        '    else show_mr,',...
        '    end,',...
        '  end,',...
        'end'];

uicontrol(fig,'Style','Pushbutton','Position',[600 90 75 20],...
          'String','OK','Callback',call)
uicontrol(fig,'Style','Pushbutton','Position',[600 50 75 20],'UserData',init_st,...
          'String','Cancel','Callback','init_st=get(gco,''UserData'');close(gcf)')

clear call fig screen handle

