if ~isempty(findobj('Name','Introduced parameters gallery'))
   figure(findobj('Name','Introduced parameters gallery'))
   cla
else
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[1 1 500 550],'Resize','off',...
        'Name','Introduced parameters gallery');
  axis off
  uicontrol(fig,'Style','Pushbutton','Position',[410 20 70 20],...
          'String','Close','Callback','close(gcf)')
end

if ~isempty(Sys)
  text(-0.1,1.05,'The unknown system parameters:');
  if ( n == 1 )
     text(-0.1,1.01,['[ a_(0) ] = ' mat2str(-Sys(1:n)')]);
     text(-0.1,0.97,['[ b_(0) ] = ' mat2str(Sys(n+1:2*n)')]);
  elseif ( n == 2 )
     text(-0.1,1.01,['[ a_(1) a_(0) ] = ' mat2str(-Sys(1:n)')]);
     text(-0.1,0.97,['[ b_(1) b_(0) ] = ' mat2str(Sys(n+1:2*n)')]);
  else
     str1 = sprintf('[ a_(%d) ... a_(0) ] = ',n-1);
     str2 = sprintf('[ b_(%d) ... b_(0) ] = ',n-1);
     text(-0.1,1.01,[str1 mat2str(-Sys(1:n)')])
     text(-0.1,0.97,[str2 mat2str(Sys(n+1:2*n)')])
  end
  text(-0.1,0.9,'The a priori knowledge about the high frequency gain:');
  text(-0.1,0.86,['0 < bm < bm_bar = ' num2str(bm_bar)])
else
  text(-0.1,1.05,'The unknown system parameters: not set.');
end

if ~isempty(E_polynomial)
  text(-0.1,0.79,'The reference model polynomial:');
  if n_r==1
     text(-0.1,0.75,['[ 1 e(0) ] = ' mat2str(E_polynomial')])
  elseif n_r==2
     text(-0.1,0.75,['[ 1 e(1) e(0) ] = ' mat2str(E_polynomial')])
  else
     str = sprintf('[ 1 e(%d) ... e(0) ] = ',n_r-1);
     text(-0.1,0.75,[str  mat2str(E_polynomial')])
  end
else
   text(-0.1,0.79,'The reference model polynomial: not set.');
end

if  ~isempty(signal_par)
  text(-0.1,0.68,'The reference signal:');
  if ( which_signal == 1 )
    text(-0.1,0.64,['Constant = ' num2str(signal_par)]);
  elseif (which_signal == 2 )
    str = [num2str(signal_par) '*rand(1,k)-0.5)'];
    text(-0.1,0.64,str);
  elseif (which_signal == 3 )
    Ampl = signal_par(1,:);
    Freq = signal_par(2,:);
    Phase = signal_par(3,:);
    str = [num2str(Ampl(1)) '*sin(' num2str(Freq(1)) '*k+' num2str(Phase(1)) ')'];
    for ind=2:length(Ampl)
      str = [ str ' + ' num2str(Ampl(ind)) '*sin(' num2str(Freq(ind)) '*k+' num2str(Phase(ind)) ')']; 
    end
    text(-0.1,0.64,str);
    clear Ampl Freq Phase ind
  elseif (which_signal == 4 )
    text(-0.1,0.64,'Random walk with diagonal covariance matrix:');
    str=sprintf('diag([v1 v2 v3]) = diag([%d  %d  %d]).',signal_par(1),signal_par(2),signal_par(3));
    text(-0.1,0.6,str);
  elseif (which_signal == 5 )
    str = [num2str(signal_par) '*((-1)^k)'];
    text(-0.1,0.64,str);
  end
else
  text(-0.1,0.68,'The reference signal: not set.');
end


if ~isempty(H_polynomial)
   text(-0.1,0.53,'The polynomial H:');
   if n==1
      text(-0.1,0.49,['[ 1 h(0) ] = ' mat2str(H_polynomial')])
   elseif n==2
      text(-0.1,0.49,['[ 1 h(1) h(0) ] = ' mat2str(H_polynomial')])
   else
      str = sprintf('[ 1 h(%d) ... h(0) ] = ',n-1);
      text(-0.1,0.49,[str  mat2str(H_polynomial')])
   end
else
  text(-0.1,0.53,'The polynomial H: not set.')
end

if ~isempty(init_X)
   text(-0.1,0.42,'The initial state of the filter:');
   if ( n == 1 )
     text(-0.1,0.38,['[ x_u(0) ] = ' mat2str(init_X(1:n)')]);
     text(-0.1,0.34,['[ x_y(0) ] = ' mat2str(init_X(n+1:2*n)')]);
   elseif ( n == 2 )
     text(-0.1,0.38,['[ x_u(1) x_u(0) ] = ' mat2str(init_X(1:n)')]);
     text(-0.1,0.34,['[ x_y(1) x_y(0) ] = ' mat2str(init_X(n+1:2*n)')]);
   else
     str1 = sprintf('[ x_u(%d) ... x_u(0) ] = ',n-1);
     str2 = sprintf('[ x_y(%d) ... x_y(0) ] = ',n-1);
     text(-0.1,0.38,[str1 mat2str(init_X(1:n)')])
     text(-0.1,0.34,[str2 mat2str(init_X(n+1:2*n)')])
   end
else
   text(-0.1,0.42,'The initial state of the filter: not set.');
end


if ~isempty(init_est)
  text(-0.1,0.27,'The initial estimates of the controller parameters:');
  if ( n == 1 )
     text(-0.1,0.23,['[ c_u(0) ] = ' mat2str(flipud(init_est(1:n))')]);
     text(-0.1,0.19,['[ c_y(0) ] = ' mat2str(flipud(-init_est(n+1:2*n))')]);
     text(-0.1,0.15,['[ c_r ] = ' mat2str(init_est(2*n+1)')]);
  elseif ( n == 2 )
     text(-0.1,0.23,['[ c_u(1) c_u(0) ] = ' mat2str(flipud(init_est(1:n))')]);
     text(-0.1,0.19,['[ c_y(1) c_y(0) ] = ' mat2str(flipud(-init_est(n+1:2*n))')]);
     text(-0.1,0.15,['[ c_r ] = ' mat2str(init_est(2*n+1)')]);
  else
     str1 = sprintf('[ c_u(%d) ... c_u(0) ] = ',n-1);
     str2 = sprintf('[ c_y(%d) ... c_y(0) ] = ',n-1);
     text(-0.1,0.23,[str1 mat2str(flipud(init_est(1:n))')])
     text(-0.1,0.19,[str2 mat2str(flipud(-init_est(n+1:2*n))')])
     text(-0.1,0.15,['[ c_r ] = ' mat2str(init_est(2*n+1)')]);
  end
else
  text(-0.1,0.27,'The initial estimates: not set.');
end

if ~isempty(init_st)
  text(-0.1,0.08,'The initial state:');
  if n==1 
    text(-0.1,0.04,['[ y(0) ] = ' mat2str(init_st')])
  elseif n==2
    text(-0.1,0.04,['[ y(0) y(-1) u(-1) ] = '  mat2str(init_st')])
  else
    str = sprintf('[ y(0) ... y(%d) u(-1) ... u(%d) ] = ',-(n-1),-(n-1));
    text(-0.1,0.04,[str  mat2str(init_st')])
  end
else
    text(-0.1,0.08,'The initial state: not set.')
end

if ~isempty(number_of_iter)
   text(-0.1,-0.03,['The number of iterations: ' num2str(number_of_iter) '.'])
else
   text(-0.1,-0.03,'The number of iterations: not set.')
end

handle = findobj(gcf,'type','text');
set(handle,'HorizontalAlignment','left')


clear handle fig screen str str1 str2
