if ~isempty(findobj('Name','Introduced parameters gallery'))
   figure(findobj('Name','Introduced parameters gallery'))
   cla
else
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off',...
        'Position',[1 1 500 500],'Resize','off',...
        'Name','Introduced parameters gallery');
  axis off
  uicontrol(fig,'Style','Pushbutton','Position',[410 20 70 20],...
          'String','Close','Callback','close(gcf)')
end

if ~isempty(Sys)
  text(-0.1,1,'The unknown system parameters:');
  if ( n == 1 )
     text(-0.1,0.95,['[ a_(0) ] = ' mat2str(-Sys(1:n)')]);
     text(-0.1,0.9,['[ b_(0) ] = ' mat2str(Sys(n+1:2*n)')]);
  elseif ( n == 2 )
     text(-0.1,0.95,['[ a_(1) a_(0) ] = ' mat2str(-Sys(1:n)')]);
     text(-0.1,0.9,['[ b_(1) b_(0) ] = ' mat2str(Sys(n+1:2*n)')]);
  else
     a = sprintf('[ a_(%d) ... a_(0) ] = ',n-1);
     b = sprintf('[ b_(%d) ... b_(0) ] = ',n-1);
     text(-0.1,0.95,[a mat2str(-Sys(1:n)')])
     text(-0.1,0.9,[b mat2str(Sys(n+1:2*n)')])
  end
else
  text(-0.1,1,'The unknown system parameters: not set.');
end

if ~isempty(filter_polynomial)
   text(-0.1,0.8,'The filter polynomial:');
   if n==1
      text(-0.1,0.75,['[ 1 c(0) ] = ' mat2str(filter_polynomial')])
   elseif n==2
      text(-0.1,0.75,['[ 1 c(1) c(0) ] = ' mat2str(filter_polynomial')])
   else
      str = sprintf('[ 1 c(%d) ... c(0) ] = ',n-1);
      text(-0.1,0.75,[str  mat2str(filter_polynomial')])
   end
   text(-0.1,0.65,'The "rho" parameter:')
   text(-0.1,0.6,[' rho = ' num2str(rho)])
else
  text(-0.1,0.8,'The filter polynomial: not set.')
  text(-0.1,0.65,'The "rho" parameter: not set.')
end

if ~isempty(findobj('Label','Filter (optional)','Checked','on'))
  sim_with_f=1;
else 
  sim_with_f=0;
end

if ~isempty(desired_polynomial)
   text(-0.1,0.5,'The closed-loop characteristic polynomial:');
   if n==1 & sim_with_f==0
      text(-0.1,0.45,['[ 1 c(0) ] = ' mat2str(desired_polynomial')])
   elseif n==1  & sim_with_f==1
      text(-0.1,0.45,['[ 1 c(1) c(0) ] = ' mat2str(desired_polynomial')])
   elseif n==2  & sim_with_f==0
      text(-0.1,0.45,['[ 1 c(1) c(0) ] = ' mat2str(desired_polynomial')])
   elseif n>2 & sim_with_f==0
      str = sprintf('[ 1 c(%d) ... c(0) ] = ',n-1);
      text(-0.1,0.45,[str  mat2str(desired_polynomial')])
   elseif n>=2 & sim_with_f==1
      str = sprintf('[ 1 c(%d) ... c(0) ] = ',2*n-1);
      text(-0.1,0.45,[str  mat2str(desired_polynomial')])
   end
else
  text(-0.1,0.5,'The closed-loop characteristic polynomial: not set.')
end

if ~isempty(init_est)
  text(-0.1,0.35,'The initial estimates:');
  if ( n == 1 )
     text(-0.1,0.3,['[ a_(0) ] = ' mat2str(-init_est(1:n)')]);
     text(-0.1,0.25,['[ b_(0) ] = ' mat2str(init_est(n+1:2*n)')]);
  elseif ( n == 2 )
     text(-0.1,0.3,['[ a_(1) a_(0) ] = ' mat2str(-init_est(1:n)')]);
     text(-0.1,0.25,['[ b_(1) b_(0) ] = ' mat2str(init_est(n+1:2*n)')]);
  else
     a = sprintf('[ a_(%d) ... a_(0) ] = ',n-1);
     b = sprintf('[ b_(%d) ... b_(0) ] = ',n-1);
     text(-0.1,0.3,[a mat2str(-init_est(1:n)')])
     text(-0.1,0.25,[b mat2str(init_est(n+1:2*n)')])
  end
else
  text(-0.1,0.35,'The initial estimates: not set.');
end

if ~isempty(init_st)
  text(-0.1,0.15,'The initial state:');
  if n==1 
    text(-0.1,0.1,['[ y(0) ] = ' mat2str(init_st')])
  elseif n==2
    text(-0.1,0.1,['[ y(0) y(-1) u(-1) ] = '  mat2str(init_st')])
  else
    str = sprintf('[ y(0) ... y(%d) u(-1) ... u(%d) ] = ',-(n-1),-(n-1));
    text(-0.1,0.1,[str  mat2str(init_st')])
  end
else
    text(-0.1,0.15,'The initial state: not set.')
end

if ~isempty(number_of_iter)
   text(-0.1,0,['The number of iterations: ' num2str(number_of_iter) '.'])
else
   text(-0.1,0,'The number of iterations: not set.')
end

handle = findobj(gcf,'type','text');
set(handle,'HorizontalAlignment','left')


clear handle fig screen sim_with_f str
