if ~isempty(findobj('Name','Unknown system'))
   figure(findobj('Name','Unknown system'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-350 screen(4)/2-250 700 500],'Resize','off',...
        'Name','Unknown system');
axis off

handle(1) = text(-0.1,1.05,'The unknown system to be controlled is ');
handle(2) = text(-0.1,0.97,'y(k+n) + a_(n-1)*y(k+n-1) + ... + a_(0)*y(k)');
handle(3) = text(-0.1,0.92,'       = b_(n-1)*u(k+n-1) + ... + b_(0)*u(k), ');
handle(4) = text(-0.1,0.83,'where  y - the output,');
handle(5) = text(-0.1,0.79,'       u - the input,');
handle(6) = text(-0.1,0.75,'       k - the time instant,');
handle(7) = text(-0.1,0.71,'       n - the system order (known),');
handle(8) = text(-0.1,0.67,'       a_(n-1),...,a_(0), b_(n-1),...,b_(0) - unknown real numbers');
handle(9) = text(-0.1,0.63,'       such that the system is minimum phase and the high frequency');
handle(10) = text(-0.1,0.59,'       gain (denoted by b_(m)) is positive.');
handle(11) = text(-0.1,0.5,'In order that the system may be fully defined introduce:');
handle(12) = text(-0.1,0.38,'[ a_(n-1) ... a_(0) ] = ');
handle(13) = text(-0.1,0.25,'[ b_(n-1) ... b_(0) ] = ');
handle(14) = text(-0.1,0.13,'It is assumed that an upperbound (denoted by b_(m)) on');
handle(15) = text(-0.1,0.08,'the high frequency gain of the unknown system is known.');
handle(16) = text(0.647,0.167,'_');
handle(17) = text(0.11,-0.02,'b_(m) =');
handle(18) = text(0.109,0.018,'_');

set(handle,'HorizontalAlignment','left','FontName','Courier');

uicontrol(fig,'Style','edit','Position',[255 200 250 20],'UserData','a_true',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
              'String',mat2str(-Sys(1:n)'))

uicontrol(fig,'Style','edit','Position',[255 146 250 20],'UserData','b_true',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
              'String',mat2str(Sys(n+1:2*n)'))

uicontrol(fig,'Style','edit','Position',[235 38 100 20],'UserData','bm_bar',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
              'String',num2str(bm_bar))


uicontrol(fig,'Style','Pushbutton','Position',[590 115 75 20],...
          'String','OK','Callback','string=''sys_mr'';calls_mr;clear string')
uicontrol(fig,'Style','Pushbutton','Position',[590 65 75 20],...
          'String','Cancel','Callback','close(gcf)')

clear fig screen handle 

