if ~isempty(findobj('Name','Unknown system'))
   figure(findobj('Name','Unknown system'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-350 screen(4)/2-200 700 400],'Resize','off',...
        'Name','Unknown system');
axis off

handle(1) = text(-0.1,1,'The unknown system to be controlled is ');
handle(2) = text(-0.1,0.9,'y(k+n) + a_(n-1)*y(k+n-1) + ... + a_(0)*y(k)');
handle(3) = text(-0.1,0.85,'       = b_(n-1)*u(k+n-1) + ... + b_(0)*u(k), ');
handle(4) = text(-0.1,0.75,'where     y - the output,');
handle(5) = text(-0.1,0.7,'          u - the input,');
handle(6) = text(-0.1,0.65,'          k - the time instant,');
handle(7) = text(-0.1,0.6,'          n - the system order (known),');
handle(8) = text(-0.1,0.55,'          a_(n-1),...,a_(0), b_(n-1),...,b_(0) - unknown real numbers.');
handle(9) = text(-0.1,0.45,'In order that the system may be fully defined introduce:');
handle(10) = text(-0.1,0.25,'[ a_(n-1) ... a_(0) ] = ');
handle(11) = text(-0.1,0.1,'[ b_(n-1) ... b_(0) ] = ');

set(handle,'HorizontalAlignment','left','FontName','Courier');

uicontrol(fig,'Style','edit','Position',[255 115 250 20],'UserData','a_true',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
              'String',mat2str(-Sys(1:n)'))

uicontrol(fig,'Style','edit','Position',[255 65 250 20],'UserData','b_true',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
              'String',mat2str(Sys(n+1:2*n)'))


uicontrol(fig,'Style','Pushbutton','Position',[570 115 75 20],...
          'String','OK','Callback','string=''sys_pp'';calls;clear string')
uicontrol(fig,'Style','Pushbutton','Position',[570 65 75 20],'UserData',Sys,...
          'String','Cancel','Callback','Sys=get(gco,''UserData'');close(gcf)')

clear fig screen handle 

