if ~isempty(findobj('Name','Unknown system'))
   figure(findobj('Name','Unknown system'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-325 screen(4)/2-200 650 400],'Resize','off',...
        'Name','Unknown system');
axis off

handle(1) = text(-0.1,1,'The unknown system to be controlled is ');
handle(2) = text(-0.1,0.9,'        y''(t) = a*y(t) + b*u(t)');
handle(3) = text(-0.1,0.75,'where   y - the output,');
handle(4) = text(-0.1,0.7,'        u - the input,');
handle(5) = text(-0.1,0.65,'        a - an unknown real number,');
handle(6) = text(-0.1,0.6,'        b - an unknown non-zero, real number.');
handle(7) = text(-0.1,0.45,'In order that the system may be fully defined introduce:');
handle(8) = text(0,0.25,' a = ');
handle(9) = text(0,0.1,' b = ');

set(handle,'HorizontalAlignment','left','FontName','Courier');

uicontrol(fig,'Style','edit','Position',[130 115 50 20],'UserData','a',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
              'String',num2str(a))

uicontrol(fig,'Style','edit','Position',[130 65 50 20],'UserData','b',...
              'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
              'String',num2str(b))

call = ['value1=str2num(get(findobj(''Userdata'',''a''),''String''));',...
        'value2=str2num(get(findobj(''UserData'',''b''),''String''));',...
        'if isempty(value1)|isempty(value2),errormes(''data''),',...
        'elseif length(value1)~=1|length(value2)~=1,errormes(''scalars''),',...
        'elseif value2==0,errormes(''b_not_0''),',...
        'else a=value1;b=value2;clear value1 value2,close(gcf),',...
          'ready(1)=1;check_u2,',...
          'set(findobj(''Label'',''Unknown system''),''Checked'',''on''),',...
        'end'];

uicontrol(fig,'Style','Pushbutton','Position',[500 115 75 20],...
          'String','OK','Callback',call)
uicontrol(fig,'Style','Pushbutton','Position',[500 65 75 20],...
          'String','Cancel','Callback','close(gcf)')

clear fig screen handle call

