if ~isempty(findobj('Name','Dead-zone threshold'))
   figure(findobj('Name','Dead-zone threshold'))
   return
end

screen=get(0,'ScreenSize');
fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
        'Position',[screen(3)/2-200 screen(4)/2-100 400 200],'Resize','off',...
        'Name','Dead-zone threshold');
axis off

handle = text(0,0.8,'The dead-zone threshold:');
set(handle,'HorizontalAlignment','left')

uicontrol(fig,'Style','edit','Position',[100 100 75 20],'UserData','threshold',...
          'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
          'String',num2str(threshold))

call1 = ['pom = str2mat('''',''10^(-3)'',''10^(-6)'',''10^(-9)'',''10^(-12)'');',...
         'set(findobj(''Userdata'',''threshold''),''String'',pom(get(gco,''value''),:));clear pom'];
q=uicontrol(fig,'Style','popupmenu','Position',[100 50 75 20],...
                'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
                'String',str2mat('','10^(-3)','10^(-6)','10^(-9)','10^(-12)'),...
                'Callback',call1);

if ~isempty(find(threshold==[10^(-3) 10^(-6) 10^(-9) 10^(-12)]))
   set(q,'Value',find(threshold==[10^(-3) 10^(-6) 10^(-9) 10^(-12)])+1);
end


call = ['value=str2num(get(findobj(''UserData'',''threshold''),''String''));',...
        'if isempty(value),errormes(''data''),',...
        'elseif length(value)>1,errormes(''scalar'');',...
        'else threshold=value;,close(gcf),',...
        'set(findobj(''Label'',''Dead-zone threshold''),''Checked'',''on''),',...
        'end,clear value,'];

uicontrol(fig,'Style','Pushbutton','Position',[300 125 75 20],...
          'String','OK','Callback',call)

uicontrol(fig,'Style','Pushbutton','Position',[300 75 75 20],...
          'String','Cancel','UserData',threshold,...
          'Callback','threshold = get(gco,''UserData'');close(gcf),')
clear handle fig screen call call1 q
