function []=tile(window)
% Pawel Stadnik July 29 1996
% All Rights Reserved


if ~isempty(findobj('Name','Tile'))
   figure(findobj('Name','Tile'))
   return
end
if ~isempty(findobj('Name','Adaptive Pole Assignment'))
  screen=get(0,'ScreenSize');
  fig=figure('MenuBar','none','numberTitle','off','UserData','Figure',...
             'Position',[screen(3)/2-250 screen(4)/2-250 500 500],...
             'Resize','off','Name','Tile');
  axis off


  handle(1)= text(-0.1,1,'The plots of selected magnitudes can be displayed within figures');
  handle(2)= text(-0.1,0.94,'in a tile format. In this aim, for each figure, one have to form');
  handle(3)= text(-0.1,0.88,'a row vector from indices of magnitudes to be seen and specify');
  handle(4)= text(-0.1,0.82,'two numbers:Y,X where Y denotes the number of plots in a column');
  handle(5)= text(-0.1,0.76,'and X denotes the number of plots in a row.');
  handle(6)= text(-0.1,0.65,'1) Output');
  handle(7)= text(-0.1,0.6,'2) Predicted output');
  handle(8)= text(-0.1,0.55,'3) Input');
  handle(9)= text(0.5,0.65,'4) Error');
  handle(10)= text(0.5,0.6,'5) Estimation error');
  handle(11)= text(0.5,0.55,'6) Desired/actual input ratio');
  handle(12)= text(0.4,0.4,'Y');
  handle(13)= text(0.6,0.4,'X');

  set(handle,'HorizontalAlignment','left')
  clear handle screen

  uicontrol(fig,'Style','edit','Position',[20 180 150 20],...
            'string',mat2str(window(1,1:max(find(window(1,:))))),...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'UserData','win1')
  uicontrol(fig,'Style','edit','Position',[20 140 150 20],...
            'string',mat2str(window(2,1:max(find(window(2,:))))),...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'UserData','win2')
  uicontrol(fig,'Style','edit','Position',[20 100 150 20],...
            'string',mat2str(window(3,1:max(find(window(3,:))))),...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'UserData','win3')
  uicontrol(fig,'Style','edit','Position',[20 60 150 20],...
            'string',mat2str(window(4,1:max(find(window(4,:))))),...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'UserData','win4')
  uicontrol(fig,'Style','edit','Position',[20  20 150 20],...
            'string',mat2str(window(5,1:max(find(window(5,:))))),...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'UserData','win5')


  uicontrol(fig,'Style','popupmenu','Position',[200 180 50 20],...
            'value',window(6,1),'String',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(6,1)=get(gco,''Value'');')
  uicontrol(fig,'Style','popupmenu','Position',[200 140 50 20],...
            'value',window(7,1),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(7,1)=get(gco,''Value'');')
   uicontrol(fig,'Style','popupmenu','Position',[200 100 50 20],...
            'value',window(8,1),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(8,1)=get(gco,''Value'');')
  uicontrol(fig,'Style','popupmenu','Position',[200 60 50 20],...
            'value',window(9,1),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(9,1)=get(gco,''Value'');')
  uicontrol(fig,'Style','popupmenu','Position',[200  20 50 20],...
            'value',window(10,1),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(10,1)=get(gco,''Value'');')


  uicontrol(fig,'Style','popupmenu','Position',[280 180 50 20],...
            'value',window(6,2),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(6,2)=get(gco,''Value'');')
  uicontrol(fig,'Style','popupmenu','Position',[280 140 50 20],...
            'value',window(7,2),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(7,2)=get(gco,''Value'');')
  uicontrol(fig,'Style','popupmenu','Position',[280 100 50 20],...
            'value',window(8,2),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(8,2)=get(gco,''Value'');')
  uicontrol(fig,'Style','popupmenu','Position',[280 60 50 20],...
            'value',window(9,2),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(9,2)=get(gco,''Value'');')
  uicontrol(fig,'Style','popupmenu','Position',[280  20 50 20],...
            'value',window(10,2),'string',[1 2 3 4 5 6],...
            'BackGroundColor',[0.7 0.7 0.7],'ForegroundColor',[0 0 0],...
            'CallBack','window(10,2)=get(gco,''Value'');')

  call = ['w1=get(findobj(''Userdata'',''win1''),''String'');',...
          'w2=get(findobj(''Userdata'',''win2''),''String'');',...
          'w3=get(findobj(''Userdata'',''win3''),''String'');',...
          'w4=get(findobj(''Userdata'',''win4''),''String'');',...
          'w5=get(findobj(''Userdata'',''win5''),''String'');',...
          'if ~isempty(find(isletter(w1)))|~isempty(find(isletter(w2)))|',...
          ' ~isempty(find(isletter(w3)))|~isempty(find(isletter(w4)))|~isempty(find(isletter(w5))),',...
          '   errormes(''data''),clear w1 w2 w3 w4 w5,return,',...
          'else w1=str2num(w1);w2=str2num(w2);w3=str2num(w3);w4=str2num(w4);',...
          '     w5=str2num(w5);',...
          '   if check_m(w1)|check_m(w2)|check_m(w3)|check_m(w4)|check_m(w5),',...
          '     errormes(''vectors''),clear w1 w2 w3 w4 w5,return,',...
          '   end,',...
          '   if any(round(w1)-w1)|any(round(w2)-w2)|any(round(w3)-w3)|',...
          '            any(round(w4)-w4)|any(round(w5)-w5),',...
          '      errormes(''integer''),clear w1 w2 w3 w4 w5,return,',...
          '   end,',...
          'end,',...
          'l(1)=length(w1);l(2)=length(w2);l(3)=length(w3);l(4)=length(w4);',...
          'l(5)=length(w5);',...
          'w1=w1(:);w2=w2(:);w3=w3(:);w4=w4(:);w5=w5(:);',...
          'if ~isempty(find(l>6)), errormes(''Win>n'',6),',...
          'elseif ~isempty(find(l==1)),errormes(''Win<n'',2);',...
          'elseif ~isempty(find(w1>6))|~isempty(find(w2>6))|~isempty(find(w3>6))|',...
          ' ~isempty(find(w4>6))|~isempty(find(w5>6))|~isempty(find(w1<1))|',...
          ' ~isempty(find(w2<1))|~isempty(find(w3<1))|~isempty(find(w4<1))|',...
          ' ~isempty(find(w5<1)),',...
          '     errormes(''Win<1,n>'',6),',...
          'else w1=w1'';w2=w2'';w3=w3'';w4=w4'';w5=w5'';',...
          '  window(1,:)=[w1 zeros(1,6-l(1))];window(2,:)=[w2 zeros(1,6-l(2))];',...
          '  window(3,:)=[w3 zeros(1,6-l(3))];window(4,:)=[w4 zeros(1,6-l(4))];',...
          '  window(5,:)=[w5 zeros(1,6-l(5))];',...
          '  if l(1)>window(6,1)*window(6,2)|l(2)>window(7,1)*window(7,2)|',...
          '      l(3)>window(8,1)*window(8,2)|l(4)>window(9,1)*window(9,2)|',...
          '      l(5)>window(10,1)*window(10,2),',...
          '    errormes(''tile_posit''),clear w1 w2 w3 w4 w5 l,return,',...
          '  end,',...
          '  if ~any(window(1,:)) window(6,1:2)=[0 0];end,',...
          '  if ~any(window(2,:)) window(7,1:2)=[0 0];end,',...
          '  if ~any(window(3,:)) window(8,1:2)=[0 0];end,',...
          '  if ~any(window(4,:)) window(9,1:2)=[0 0];end,',...
          '  if ~any(window(5,:)) window(10,1:2)=[0 0];end,',...
          '  clear w1 w2 w3 w4 w5 l ,close(gcf),',...
          '  if isempty(find(window(1:5,1:6))),',...
          '     set(findobj(''Label'',''Tile''),''Checked'',''off''),',...
          '  else set(findobj(''Label'',''Tile''),''Checked'',''on''),',...
          '    ready(8)=1;',...
          '  end,',...
          'end,check_pp']; 
 
  uicontrol(fig,'Style','Pushbutton','Position',[380 150 75 20],...
          'String','OK','Callback',call)
  uicontrol(fig,'Style','Pushbutton','Position',[380 100 75 20],...
          'String','Cancel','UserData',window,...
          'Callback','window=get(gco,''UserData'');close(gcf)')
  clear call fig
end
